import { SimpleWorkerServer } from '../base/common/worker/simpleWorker.js';
import { EditorSimpleWorker } from './common/services/editorSimpleWorker.js';
let initialized = false;
function initialize(foreignModule) {
    if (initialized) {
        return;
    }
    initialized = true;
    const simpleWorker = ( new SimpleWorkerServer((msg) => {
        globalThis.postMessage(msg);
    }, (host) => ( new EditorSimpleWorker(host, foreignModule))));
    globalThis.onmessage = (e) => {
        simpleWorker.onmessage(e.data);
    };
}
globalThis.onmessage = (e) => {
    if (!initialized) {
        initialize(null);
    }
};
export { initialize };
