import { IDragAndDropData } from '../../base/browser/dnd.js';
import '../../editor/editor.api.js';

type Before2D = {
    readonly verticallyBefore: boolean;
    readonly horizontallyBefore: boolean;
};
interface ICompositeDragAndDrop {
    drop(data: IDragAndDropData, target: string | undefined, originalEvent: DragEvent, before?: Before2D): void;
    onDragOver(data: IDragAndDropData, target: string | undefined, originalEvent: DragEvent): boolean;
    onDragEnter(data: IDragAndDropData, target: string | undefined, originalEvent: DragEvent): boolean;
}

export type { Before2D, ICompositeDragAndDrop };
