import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const _moduleId = "vs/workbench/contrib/preferences/browser/preferencesIcons";
const settingsScopeDropDownIcon = registerIcon('settings-folder-dropdown', Codicon.triangleDown, ( localizeWithPath(
 _moduleId,
 0,
 'Icon for the folder dropdown button in the split JSON Settings editor.'
)));
const settingsMoreActionIcon = registerIcon('settings-more-action', Codicon.gear, ( localizeWithPath(_moduleId, 1, 'Icon for the \'more actions\' action in the Settings UI.')));
const keybindingsRecordKeysIcon = registerIcon('keybindings-record-keys', Codicon.recordKeys, ( localizeWithPath(_moduleId, 2, 'Icon for the \'record keys\' action in the keybinding UI.')));
const keybindingsSortIcon = registerIcon('keybindings-sort', Codicon.sortPrecedence, ( localizeWithPath(
 _moduleId,
 3,
 'Icon for the \'sort by precedence\' toggle in the keybinding UI.'
)));
const keybindingsEditIcon = registerIcon('keybindings-edit', Codicon.edit, ( localizeWithPath(_moduleId, 4, 'Icon for the edit action in the keybinding UI.')));
const keybindingsAddIcon = registerIcon('keybindings-add', Codicon.add, ( localizeWithPath(_moduleId, 5, 'Icon for the add action in the keybinding UI.')));
const settingsEditIcon = registerIcon('settings-edit', Codicon.edit, ( localizeWithPath(_moduleId, 6, 'Icon for the edit action in the Settings UI.')));
const settingsRemoveIcon = registerIcon('settings-remove', Codicon.close, ( localizeWithPath(_moduleId, 7, 'Icon for the remove action in the Settings UI.')));
const settingsDiscardIcon = registerIcon('settings-discard', Codicon.discard, ( localizeWithPath(_moduleId, 8, 'Icon for the discard action in the Settings UI.')));
const preferencesClearInputIcon = registerIcon('preferences-clear-input', Codicon.clearAll, ( localizeWithPath(_moduleId, 9, 'Icon for clear input in the Settings and keybinding UI.')));
const preferencesFilterIcon = registerIcon('preferences-filter', Codicon.filter, ( localizeWithPath(
 _moduleId,
 10,
 'Icon for the button that suggests filters for the Settings UI.'
)));
const preferencesOpenSettingsIcon = registerIcon('preferences-open-settings', Codicon.goToFile, ( localizeWithPath(_moduleId, 11, 'Icon for open settings commands.')));
export { keybindingsAddIcon, keybindingsEditIcon, keybindingsRecordKeysIcon, keybindingsSortIcon, preferencesClearInputIcon, preferencesFilterIcon, preferencesOpenSettingsIcon, settingsDiscardIcon, settingsEditIcon, settingsMoreActionIcon, settingsRemoveIcon, settingsScopeDropDownIcon };
